=begin pod

=TITLE enum Bool

    enum Bool <False True>

An enum for boolean true/false decisions

=head1 Operators

=head2 prefix:<?>

    multi sub prefix:<?>(Mu) returns Bool:D

Coerces its argument to C<Bool>.

=head2 prefix:<so>

    multi sub prefix:<so>(Mu) returns Bool:D

Coerces its argument to C<Bool>, has looser precedence than C<< prefix:<?> >>.

=end pod
